The upcoming release of Skyrim’s Anniversary Edition could end up hurting the game’s modding scene, and will likely mean a considerable amount of work for modders on the game.

If you’ve been adding mods to your version of Skyrim over the years, then it’s quite likely that you might have come across the Skyrim Script Extender (SKSE) plugin, which is used to help run a number of different popular mods for the game. It’s also likely that you’ll have adjusted your update settings for the game on Steam and use a separate mod manager to launch the game. If you don’t do this, then there’s a risk that the SKSE can break every time that the Bethesda Creation Club receives a new update.

As reported by PC Gamer, when Skyrim’s Anniversary Edition launches next month, copies purchased by players will not only include the Special Edition version of the game, but also all of the mods currently included in the Creation Club and more. However, unlike previous iterations of Skyrim that have come as new releases, Skyrim’s Anniversary Edition will instead come as an update for the existing game – a factor that is likely to cause huge problems for a range of the mods currently using the SKSE and other similar plugins.

The main reason that this comes as an issue is because as part of its update, Bethesda has made the decision to change up the game’s compiler from the 2015 version of Visual Studios to its 2019 counterpart. As SKSE developer, extrwi notes, this will cause problems for the modding community because it “changes the way that the code is generated in a way that forces mod developers to start from scratch finding functions and writing hooks.”

Skyrim’s modding community has been pretty incredible over the last few years, but in that time a number of modders have moved onto new projects. The upshot is that, once a popular mod breaks, it’s possible no one will be able to fix it. “Doing this work takes a reasonable amount of time for each plugin,” explains extrwi.

“I can probably sit there over a few nights and bang out an updated version of SKSE, but my main concern is for the rest of the plugins out there. The plugin ecosystem has been around long enough that people have moved on, and code is left unmaintained. Effectively everyone who has written a native code plugin will need to do at least some amount of work to support AE. This realistically means that the native code mod scene is going to be broken for an unknown length of time after AE’s release.”

The developer recommended that those using mods within the game should back up their executables of the game now and disable updates in Steam before the Anniversary Edition launches on November 11.

For more from the Skyrim modding community make sure to check out our interview with the modders behind the Skyrim mod aiming to make the version of Oblivion Bethesda couldn’t in 2006.

Jared Moore is a freelance writer for IGN. You can follow him on Twitter.


Source: IGN Video Games All
Source:

Please follow and like us:
Liked it? Take a second to support XPLoot on Patreon!